# coding: utf-8

# flake8: noqa
"""
    CityPay Payment API

     Welcome to the CityPay API, a robust HTTP API payment solution designed for seamless server-to-server  transactional processing. Our API facilitates a wide array of payment operations, catering to diverse business needs.  Whether you're integrating Internet payments, handling Mail Order/Telephone Order (MOTO) transactions, managing  Subscriptions with Recurring and Continuous Authority payments, or navigating the complexities of 3-D Secure  authentication, our API is equipped to support your requirements. Additionally, we offer functionalities for  Authorisation, Refunding, Pre-Authorisation, Cancellation/Voids, and Completion processing, alongside the capability  for tokenised payments.  ## Compliance and Security Overview <aside class=\"notice\">   Ensuring the security of payment transactions and compliance with industry standards is paramount. Our API is    designed with stringent security measures and compliance protocols to safeguard sensitive information and meet    the rigorous requirements of Visa, MasterCard, and the PCI Security Standards Council. </aside>  ### Key Compliance and Security Measures  * **TLS Encryption**: All data transmissions must utilise TLS version 1.2 or higher, employing [strong cryptography](#enabled-tls-ciphers). Our infrastructure strictly enforces this requirement to maintain the integrity and confidentiality of data in transit. We conduct regular scans and assessments of our TLS endpoints to identify and mitigate vulnerabilities. * **Data Storage Prohibitions**: Storing sensitive cardholder data (CHD), such as the card security code (CSC) or primary account number (PAN), is strictly prohibited. Our API is designed to minimize your exposure to sensitive data, thereby reducing your compliance burden. * **Data Masking**: For consumer protection and compliance, full card numbers must not be displayed on receipts or any customer-facing materials. Our API automatically masks PANs, displaying only the last four digits to facilitate safe receipt generation. * **Network Scans**: If your application is web-based, regular scans of your hosting environment are mandatory to identify and rectify potential vulnerabilities. This proactive measure is crucial for maintaining a secure and compliant online presence. * **PCI Compliance**: Adherence to PCI DSS standards is not optional; it's a requirement for operating securely and legally in the payments ecosystem. For detailed information on compliance requirements and resources, please visit the PCI Security Standards Council website [https://www.pcisecuritystandards.org/](https://www.pcisecuritystandards.org/). * **Request Validation**: Our API includes mechanisms to verify the legitimacy of each request, ensuring it pertains to a valid account and originates from a trusted source. We leverage remote IP address verification alongside sophisticated application firewall technologies to thwart a wide array of common security threats.  ## Getting Started Before integrating with the CityPay API, ensure your application and development practices align with the outlined compliance and security measures. This preparatory step is crucial for a smooth integration process and the long-term success of your payment processing operations.  For further details on API endpoints, request/response formats, and code examples, proceed to the subsequent sections of our documentation. Our aim is to provide you with all the necessary tools and information to integrate our payment processing capabilities seamlessly into your application.  Thank you for choosing CityPay API. We look forward to supporting your payment processing needs with our secure, compliant, and versatile API solution. 

    Contact: support@citypay.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


# import models into model package
from citypay.models.account_create import AccountCreate
from citypay.models.account_status import AccountStatus
from citypay.models.acknowledgement import Acknowledgement
from citypay.models.acl_check_request import AclCheckRequest
from citypay.models.acl_check_response_model import AclCheckResponseModel
from citypay.models.airline_advice import AirlineAdvice
from citypay.models.airline_segment import AirlineSegment
from citypay.models.auth_reference import AuthReference
from citypay.models.auth_references import AuthReferences
from citypay.models.auth_request import AuthRequest
from citypay.models.auth_response import AuthResponse
from citypay.models.batch import Batch
from citypay.models.batch_report_request import BatchReportRequest
from citypay.models.batch_report_response_model import BatchReportResponseModel
from citypay.models.batch_transaction import BatchTransaction
from citypay.models.batch_transaction_report_request import BatchTransactionReportRequest
from citypay.models.batch_transaction_report_response import BatchTransactionReportResponse
from citypay.models.batch_transaction_result_model import BatchTransactionResultModel
from citypay.models.bin import Bin
from citypay.models.bin_lookup import BinLookup
from citypay.models.c_res_auth_request import CResAuthRequest
from citypay.models.capture_request import CaptureRequest
from citypay.models.card import Card
from citypay.models.card_holder_account import CardHolderAccount
from citypay.models.card_status import CardStatus
from citypay.models.charge_request import ChargeRequest
from citypay.models.check_batch_status import CheckBatchStatus
from citypay.models.check_batch_status_response import CheckBatchStatusResponse
from citypay.models.contact_details import ContactDetails
from citypay.models.decision import Decision
from citypay.models.direct_post_request import DirectPostRequest
from citypay.models.direct_token_auth_request import DirectTokenAuthRequest
from citypay.models.domain_key_check_request import DomainKeyCheckRequest
from citypay.models.domain_key_request import DomainKeyRequest
from citypay.models.domain_key_response import DomainKeyResponse
from citypay.models.error import Error
from citypay.models.event_data_model import EventDataModel
from citypay.models.exists import Exists
from citypay.models.external_mpi import ExternalMPI
from citypay.models.list_merchants_response import ListMerchantsResponse
from citypay.models.mcc6012 import MCC6012
from citypay.models.merchant import Merchant
from citypay.models.merchant_batch_report_request import MerchantBatchReportRequest
from citypay.models.merchant_batch_report_response import MerchantBatchReportResponse
from citypay.models.merchant_batch_response import MerchantBatchResponse
from citypay.models.net_summary_response import NetSummaryResponse
from citypay.models.pa_res_auth_request import PaResAuthRequest
from citypay.models.paylink_address import PaylinkAddress
from citypay.models.paylink_adjustment_request import PaylinkAdjustmentRequest
from citypay.models.paylink_attachment_request import PaylinkAttachmentRequest
from citypay.models.paylink_attachment_result import PaylinkAttachmentResult
from citypay.models.paylink_bill_payment_token_request import PaylinkBillPaymentTokenRequest
from citypay.models.paylink_card_holder import PaylinkCardHolder
from citypay.models.paylink_cart import PaylinkCart
from citypay.models.paylink_cart_item_model import PaylinkCartItemModel
from citypay.models.paylink_config import PaylinkConfig
from citypay.models.paylink_custom_param import PaylinkCustomParam
from citypay.models.paylink_email_notification_path import PaylinkEmailNotificationPath
from citypay.models.paylink_error_code import PaylinkErrorCode
from citypay.models.paylink_field_guard_model import PaylinkFieldGuardModel
from citypay.models.paylink_part_payments import PaylinkPartPayments
from citypay.models.paylink_resend_notification_request import PaylinkResendNotificationRequest
from citypay.models.paylink_sms_notification_path import PaylinkSMSNotificationPath
from citypay.models.paylink_state_event import PaylinkStateEvent
from citypay.models.paylink_token_created import PaylinkTokenCreated
from citypay.models.paylink_token_request_model import PaylinkTokenRequestModel
from citypay.models.paylink_token_status import PaylinkTokenStatus
from citypay.models.paylink_token_status_change_request import PaylinkTokenStatusChangeRequest
from citypay.models.paylink_token_status_change_response import PaylinkTokenStatusChangeResponse
from citypay.models.paylink_ui import PaylinkUI
from citypay.models.payment_intent import PaymentIntent
from citypay.models.payment_intent_reference import PaymentIntentReference
from citypay.models.ping import Ping
from citypay.models.process_batch_request import ProcessBatchRequest
from citypay.models.process_batch_response import ProcessBatchResponse
from citypay.models.refund_request import RefundRequest
from citypay.models.register_card import RegisterCard
from citypay.models.remittance_data import RemittanceData
from citypay.models.remittance_report_request import RemittanceReportRequest
from citypay.models.remittance_report_response import RemittanceReportResponse
from citypay.models.remitted_client_data import RemittedClientData
from citypay.models.request_challenged import RequestChallenged
from citypay.models.retrieve_request import RetrieveRequest
from citypay.models.three_d_secure import ThreeDSecure
from citypay.models.tokenisation_response_model import TokenisationResponseModel
from citypay.models.void_request import VoidRequest
